Subject: Re: binutils-mesboot0 fails at configure, cannot find lex

From: Carl Dong <[email-masked]>
Date: Thu, 10 Dec 2020 17:28:37 -0500

Some more information from my debugging:

1. This error is reproducible even when I specify --cores=1, which is very strange
2. I have attached the full log to this email
3. I have uploaded the --keep-failed directory here: https://nextcloud.carl.homeserver.net/s/MtDYCwsSSdd7JW3

Looking at that directory, and doing some googling, I see that this is most likely the cause: https://lists.gnu.org/archive/html/bug-binutils/2016-01/msg00076.html

Corresponding fix: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=3d961d0d3a797b4d463024a11131e96c213dee27

Not sure how best to apply the fix in Guix, should we patch override.m4 and regenerate? Patch everything and not regenerate? Patch automake itself and regenerate?

Also, some lingering mysteries:
1. Ludovic mentioned that there were substitutes for this particular derivation, and I did not disable substitutes (other packages in this pull even used substitutes). Why did substitution fail?
2. Ludovic and others mentioned that they were able to build successfully. Why did it fail on my machine even with --cores=1?

Cheers,
Carl Dong